Runtime

## org.eclipse.gmf.runtime.notation.util
Class NotationSwitch

    java.lang.Object
      org.eclipse.gmf.runtime.notation.util.NotationSwitch

    public class NotationSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `NotationPackage`
** Generated **

Field Summary
`protected static NotationPackage` `modelPackage` The cached model package

Constructor Summary
`NotationSwitch()` Creates an instance of the switch

Method Summary
`java.lang.Object` `caseAnchor(Anchor object)` Returns the result of interpreting the object as an instance of 'Anchor'
`java.lang.Object` `caseArrowStyle(ArrowStyle object)` Returns the result of interpreting the object as an instance of 'Arrow Style'
`java.lang.Object` `caseBasicCompartment(BasicCompartment object)` Returns the result of interpreting the object as an instance of 'Basic Compartment'
`java.lang.Object` `caseBasicDecorationNode(BasicDecorationNode object)` Returns the result of interpreting the object as an instance of 'Basic Decoration Node'
`java.lang.Object` `caseBasicSemanticCompartment(BasicSemanticCompartment object)` Returns the result of interpreting the object as an instance of 'Basic Semantic Compartment'
`java.lang.Object` `caseBendpoints(Bendpoints object)` Returns the result of interpreting the object as an instance of 'Bendpoints'
`java.lang.Object` `caseBooleanListValueStyle(BooleanListValueStyle object)` Returns the result of interpreting the object as an instance of 'Boolean List Value Style'
`java.lang.Object` `caseBooleanValueStyle(BooleanValueStyle object)` Returns the result of interpreting the object as an instance of 'Boolean Value Style'
`java.lang.Object` `caseBounds(Bounds object)` Returns the result of interpreting the object as an instance of 'Bounds'
`java.lang.Object` `caseByteArrayValueStyle(ByteArrayValueStyle object)` Returns the result of interpreting the object as an instance of 'Byte Array Value Style'
`java.lang.Object` `caseCanonicalStyle(CanonicalStyle object)` Returns the result of interpreting the object as an instance of 'Canonical Style'
`java.lang.Object` `caseCompartment(Compartment object)` Returns the result of interpreting the object as an instance of 'Compartment'
`java.lang.Object` `caseConnector(Connector object)` Returns the result of interpreting the object as an instance of 'Connector'
`java.lang.Object` `caseConnectorStyle(ConnectorStyle object)` Returns the result of interpreting the object as an instance of 'Connector Style'
`java.lang.Object` `caseDataTypeStyle(DataTypeStyle object)` Returns the result of interpreting the object as an instance of 'Data Type Style'
`java.lang.Object` `caseDecorationNode(DecorationNode object)` Returns the result of interpreting the object as an instance of 'Decoration Node'
`java.lang.Object` `caseDescriptionStyle(DescriptionStyle object)` Returns the result of interpreting the object as an instance of 'Description Style'
`java.lang.Object` `caseDiagram(Diagram object)` Returns the result of interpreting the object as an instance of 'Diagram'
`java.lang.Object` `caseDiagramLinkStyle(DiagramLinkStyle object)` Returns the result of interpreting the object as an instance of 'Diagram Link Style'
`java.lang.Object` `caseDiagramStyle(DiagramStyle object)` Returns the result of interpreting the object as an instance of 'Diagram Style'
`java.lang.Object` `caseDoubleListValueStyle(DoubleListValueStyle object)` Returns the result of interpreting the object as an instance of 'Double List Value Style'
`java.lang.Object` `caseDoubleValueStyle(DoubleValueStyle object)` Returns the result of interpreting the object as an instance of 'Double Value Style'
`java.lang.Object` `caseDrawerStyle(DrawerStyle object)` Returns the result of interpreting the object as an instance of 'Drawer Style'
`java.lang.Object` `caseEdge(Edge object)` Returns the result of interpreting the object as an instance of 'Edge'
`java.lang.Object` `caseEModelElement(org.eclipse.emf.ecore.EModelElement object)` Returns the result of interpreting the object as an instance of 'EModel Element'
`java.lang.Object` `caseEObjectListValueStyle(EObjectListValueStyle object)` Returns the result of interpreting the object as an instance of 'EObject List Value Style'
`java.lang.Object` `caseEObjectValueStyle(EObjectValueStyle object)` Returns the result of interpreting the object as an instance of 'EObject Value Style'
`java.lang.Object` `caseFillStyle(FillStyle object)` Returns the result of interpreting the object as an instance of 'Fill Style'
`java.lang.Object` `caseFilteringStyle(FilteringStyle object)` Returns the result of interpreting the object as an instance of 'Filtering Style'
`java.lang.Object` `caseFontStyle(FontStyle object)` Returns the result of interpreting the object as an instance of 'Font Style'
`java.lang.Object` `caseGuide(Guide object)` Returns the result of interpreting the object as an instance of 'Guide'
`java.lang.Object` `caseGuideStyle(GuideStyle object)` Returns the result of interpreting the object as an instance of 'Guide Style'
`java.lang.Object` `caseHintedDiagramLinkStyle(HintedDiagramLinkStyle object)` Returns the result of interpreting the object as an instance of 'Hinted Diagram Link Style'
`java.lang.Object` `caseIdentityAnchor(IdentityAnchor object)` Returns the result of interpreting the object as an instance of 'Identity Anchor'
`java.lang.Object` `caseImage(Image object)` Returns the result of interpreting the object as an instance of 'Image'
`java.lang.Object` `caseImageBufferStyle(ImageBufferStyle object)` Returns the result of interpreting the object as an instance of 'Image Buffer Style'
`java.lang.Object` `caseImageStyle(ImageStyle object)` Returns the result of interpreting the object as an instance of 'Image Style'
`java.lang.Object` `caseIntListValueStyle(IntListValueStyle object)` Returns the result of interpreting the object as an instance of 'Int List Value Style'
`java.lang.Object` `caseIntValueStyle(IntValueStyle object)` Returns the result of interpreting the object as an instance of 'Int Value Style'
`java.lang.Object` `caseLayoutConstraint(LayoutConstraint object)` Returns the result of interpreting the object as an instance of 'Layout Constraint'
`java.lang.Object` `caseLineStyle(LineStyle object)` Returns the result of interpreting the object as an instance of 'Line Style'
`java.lang.Object` `caseLineTypeStyle(LineTypeStyle object)` Returns the result of interpreting the object as an instance of 'Line Type Style'
`java.lang.Object` `caseListCompartment(ListCompartment object)` Returns the result of interpreting the object as an instance of 'List Compartment'
`java.lang.Object` `caseListValueStyle(ListValueStyle object)` Returns the result of interpreting the object as an instance of 'List Value Style'
`java.lang.Object` `caseLocation(Location object)` Returns the result of interpreting the object as an instance of 'Location'
`java.lang.Object` `caseMultiDiagramLinkStyle(MultiDiagramLinkStyle object)` Returns the result of interpreting the object as an instance of 'Multi Diagram Link Style'
`java.lang.Object` `caseNamedStyle(NamedStyle object)` Returns the result of interpreting the object as an instance of 'Named Style'
`java.lang.Object` `caseNode(Node object)` Returns the result of interpreting the object as an instance of 'Node'
`java.lang.Object` `caseNodeEntry(java.util.Map.Entry object)` Returns the result of interpreting the object as an instance of 'Node Entry'
`java.lang.Object` `casePageStyle(PageStyle object)` Returns the result of interpreting the object as an instance of 'Page Style'
`java.lang.Object` `casePropertiesSetStyle(PropertiesSetStyle object)` Returns the result of interpreting the object as an instance of 'Properties Set Style'
`java.lang.Object` `casePropertyValue(PropertyValue object)` Returns the result of interpreting the object as an instance of 'Property Value'
`java.lang.Object` `caseRatio(Ratio object)` Returns the result of interpreting the object as an instance of 'Ratio'
`java.lang.Object` `caseRelativeBendpoints(RelativeBendpoints object)` Returns the result of interpreting the object as an instance of 'Relative Bendpoints'
`java.lang.Object` `caseRoutingStyle(RoutingStyle object)` Returns the result of interpreting the object as an instance of 'Routing Style'
`java.lang.Object` `caseSemanticListCompartment(SemanticListCompartment object)` Returns the result of interpreting the object as an instance of 'Semantic List Compartment'
`java.lang.Object` `caseShape(Shape object)` Returns the result of interpreting the object as an instance of 'Shape'
`java.lang.Object` `caseShapeStyle(ShapeStyle object)` Returns the result of interpreting the object as an instance of 'Shape Style'
`java.lang.Object` `caseSingleValueStyle(SingleValueStyle object)` Returns the result of interpreting the object as an instance of 'Single Value Style'
`java.lang.Object` `caseSize(Size object)` Returns the result of interpreting the object as an instance of 'Size'
`java.lang.Object` `caseSortingStyle(SortingStyle object)` Returns the result of interpreting the object as an instance of 'Sorting Style'
`java.lang.Object` `caseStandardDiagram(StandardDiagram object)` Returns the result of interpreting the object as an instance of 'Standard Diagram'
`java.lang.Object` `caseStringListValueStyle(StringListValueStyle object)` Returns the result of interpreting the object as an instance of 'String List Value Style'
`java.lang.Object` `caseStringObjectConverter(StringObjectConverter object)` Returns the result of interpreting the object as an instance of 'String Object Converter'
`java.lang.Object` `caseStringToPropertyValueMapEntry(java.util.Map.Entry object)` Returns the result of interpreting the object as an instance of 'String To Property Value Map Entry'
`java.lang.Object` `caseStringValueStyle(StringValueStyle object)` Returns the result of interpreting the object as an instance of 'String Value Style'
`java.lang.Object` `caseStyle(Style object)` Returns the result of interpreting the object as an instance of 'Style'
`java.lang.Object` `caseTextStyle(TextStyle object)` Returns the result of interpreting the object as an instance of 'Text Style'
`java.lang.Object` `caseTitleStyle(TitleStyle object)` Returns the result of interpreting the object as an instance of 'Title Style'
`java.lang.Object` `caseView(View object)` Returns the result of interpreting the object as an instance of 'View'
`java.lang.Object` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
`protected java.lang.Object` `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`java.lang.Object` `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected java.lang.Object` `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static NotationPackage modelPackage

  The cached model package

  ** Generated **

Constructor Detail

### NotationSwitch

    public NotationSwitch()

  Creates an instance of the switch.

  ** Generated **

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### doSwitch

    protected java.lang.Object doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                                        org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### doSwitch

    protected java.lang.Object doSwitch(int classifierID,
                                        org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### caseEdge

    public java.lang.Object caseEdge(Edge object)

  Returns the result of interpreting the object as an instance of 'Edge'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Edge'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseNode

    public java.lang.Object caseNode(Node object)

  Returns the result of interpreting the object as an instance of 'Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Node'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseStyle

    public java.lang.Object caseStyle(Style object)

  Returns the result of interpreting the object as an instance of 'Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFillStyle

    public java.lang.Object caseFillStyle(FillStyle object)

  Returns the result of interpreting the object as an instance of 'Fill Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Fill Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLineStyle

    public java.lang.Object caseLineStyle(LineStyle object)

  Returns the result of interpreting the object as an instance of 'Line Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Line Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFontStyle

    public java.lang.Object caseFontStyle(FontStyle object)

  Returns the result of interpreting the object as an instance of 'Font Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Font Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseTitleStyle

    public java.lang.Object caseTitleStyle(TitleStyle object)

  Returns the result of interpreting the object as an instance of 'Title Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Title Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseSortingStyle

    public java.lang.Object caseSortingStyle(SortingStyle object)

  Returns the result of interpreting the object as an instance of 'Sorting Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Sorting Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDescriptionStyle

    public java.lang.Object caseDescriptionStyle(DescriptionStyle object)

  Returns the result of interpreting the object as an instance of 'Description Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Description Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLayoutConstraint

    public java.lang.Object caseLayoutConstraint(LayoutConstraint object)

  Returns the result of interpreting the object as an instance of 'Layout Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Layout Constraint'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseSize

    public java.lang.Object caseSize(Size object)

  Returns the result of interpreting the object as an instance of 'Size'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Size'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLocation

    public java.lang.Object caseLocation(Location object)

  Returns the result of interpreting the object as an instance of 'Location'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Location'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBounds

    public java.lang.Object caseBounds(Bounds object)

  Returns the result of interpreting the object as an instance of 'Bounds'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Bounds'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseRatio

    public java.lang.Object caseRatio(Ratio object)

  Returns the result of interpreting the object as an instance of 'Ratio'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Ratio'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseAnchor

    public java.lang.Object caseAnchor(Anchor object)

  Returns the result of interpreting the object as an instance of 'Anchor'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Anchor'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBendpoints

    public java.lang.Object caseBendpoints(Bendpoints object)

  Returns the result of interpreting the object as an instance of 'Bendpoints'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Bendpoints'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseIdentityAnchor

    public java.lang.Object caseIdentityAnchor(IdentityAnchor object)

  Returns the result of interpreting the object as an instance of 'Identity Anchor'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Identity Anchor'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseRoutingStyle

    public java.lang.Object caseRoutingStyle(RoutingStyle object)

  Returns the result of interpreting the object as an instance of 'Routing Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Routing Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseView

    public java.lang.Object caseView(View object)

  Returns the result of interpreting the object as an instance of 'View'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'View'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseRelativeBendpoints

    public java.lang.Object caseRelativeBendpoints(RelativeBendpoints object)

  Returns the result of interpreting the object as an instance of 'Relative Bendpoints'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Relative Bendpoints'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCanonicalStyle

    public java.lang.Object caseCanonicalStyle(CanonicalStyle object)

  Returns the result of interpreting the object as an instance of 'Canonical Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Canonical Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseShapeStyle

    public java.lang.Object caseShapeStyle(ShapeStyle object)

  Returns the result of interpreting the object as an instance of 'Shape Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Shape Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseConnectorStyle

    public java.lang.Object caseConnectorStyle(ConnectorStyle object)

  Returns the result of interpreting the object as an instance of 'Connector Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Connector Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDiagram

    public java.lang.Object caseDiagram(Diagram object)

  Returns the result of interpreting the object as an instance of 'Diagram'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Diagram'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseImage

    public java.lang.Object caseImage(Image object)

  Returns the result of interpreting the object as an instance of 'Image'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Image'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePageStyle

    public java.lang.Object casePageStyle(PageStyle object)

  Returns the result of interpreting the object as an instance of 'Page Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Page Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDrawerStyle

    public java.lang.Object caseDrawerStyle(DrawerStyle object)

  Returns the result of interpreting the object as an instance of 'Drawer Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Drawer Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGuideStyle

    public java.lang.Object caseGuideStyle(GuideStyle object)

  Returns the result of interpreting the object as an instance of 'Guide Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Guide Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGuide

    public java.lang.Object caseGuide(Guide object)

  Returns the result of interpreting the object as an instance of 'Guide'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Guide'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseNodeEntry

    public java.lang.Object caseNodeEntry(java.util.Map.Entry object)

  Returns the result of interpreting the object as an instance of 'Node Entry'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Node Entry'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFilteringStyle

    public java.lang.Object caseFilteringStyle(FilteringStyle object)

  Returns the result of interpreting the object as an instance of 'Filtering Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Filtering Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDiagramStyle

    public java.lang.Object caseDiagramStyle(DiagramStyle object)

  Returns the result of interpreting the object as an instance of 'Diagram Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Diagram Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseImageStyle

    public java.lang.Object caseImageStyle(ImageStyle object)

  Returns the result of interpreting the object as an instance of 'Image Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Image Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseImageBufferStyle

    public java.lang.Object caseImageBufferStyle(ImageBufferStyle object)

  Returns the result of interpreting the object as an instance of 'Image Buffer Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Image Buffer Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePropertiesSetStyle

    public java.lang.Object casePropertiesSetStyle(PropertiesSetStyle object)

  Returns the result of interpreting the object as an instance of 'Properties Set Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Properties Set Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseStringToPropertyValueMapEntry

    public java.lang.Object caseStringToPropertyValueMapEntry(java.util.Map.Entry object)

  Returns the result of interpreting the object as an instance of 'String To Property Value Map Entry'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'String To Property Value Map Entry'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePropertyValue

    public java.lang.Object casePropertyValue(PropertyValue object)

  Returns the result of interpreting the object as an instance of 'Property Value'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Property Value'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseSingleValueStyle

    public java.lang.Object caseSingleValueStyle(SingleValueStyle object)

  Returns the result of interpreting the object as an instance of 'Single Value Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Single Value Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseListValueStyle

    public java.lang.Object caseListValueStyle(ListValueStyle object)

  Returns the result of interpreting the object as an instance of 'List Value Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'List Value Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseNamedStyle

    public java.lang.Object caseNamedStyle(NamedStyle object)

  Returns the result of interpreting the object as an instance of 'Named Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Named Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseStringObjectConverter

    public java.lang.Object caseStringObjectConverter(StringObjectConverter object)

  Returns the result of interpreting the object as an instance of 'String Object Converter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'String Object Converter'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDataTypeStyle

    public java.lang.Object caseDataTypeStyle(DataTypeStyle object)

  Returns the result of interpreting the object as an instance of 'Data Type Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Data Type Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseIntValueStyle

    public java.lang.Object caseIntValueStyle(IntValueStyle object)

  Returns the result of interpreting the object as an instance of 'Int Value Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Int Value Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseIntListValueStyle

    public java.lang.Object caseIntListValueStyle(IntListValueStyle object)

  Returns the result of interpreting the object as an instance of 'Int List Value Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Int List Value Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBooleanValueStyle

    public java.lang.Object caseBooleanValueStyle(BooleanValueStyle object)

  Returns the result of interpreting the object as an instance of 'Boolean Value Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Boolean Value Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDoubleValueStyle

    public java.lang.Object caseDoubleValueStyle(DoubleValueStyle object)

  Returns the result of interpreting the object as an instance of 'Double Value Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Double Value Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDoubleListValueStyle

    public java.lang.Object caseDoubleListValueStyle(DoubleListValueStyle object)

  Returns the result of interpreting the object as an instance of 'Double List Value Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Double List Value Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseStringValueStyle

    public java.lang.Object caseStringValueStyle(StringValueStyle object)

  Returns the result of interpreting the object as an instance of 'String Value Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'String Value Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseStringListValueStyle

    public java.lang.Object caseStringListValueStyle(StringListValueStyle object)

  Returns the result of interpreting the object as an instance of 'String List Value Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'String List Value Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseEObjectValueStyle

    public java.lang.Object caseEObjectValueStyle(EObjectValueStyle object)

  Returns the result of interpreting the object as an instance of 'EObject Value Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject Value Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseEObjectListValueStyle

    public java.lang.Object caseEObjectListValueStyle(EObjectListValueStyle object)

  Returns the result of interpreting the object as an instance of 'EObject List Value Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject List Value Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseByteArrayValueStyle

    public java.lang.Object caseByteArrayValueStyle(ByteArrayValueStyle object)

  Returns the result of interpreting the object as an instance of 'Byte Array Value Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Byte Array Value Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBooleanListValueStyle

    public java.lang.Object caseBooleanListValueStyle(BooleanListValueStyle object)

  Returns the result of interpreting the object as an instance of 'Boolean List Value Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Boolean List Value Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseHintedDiagramLinkStyle

    public java.lang.Object caseHintedDiagramLinkStyle(HintedDiagramLinkStyle object)

  Returns the result of interpreting the object as an instance of 'Hinted Diagram Link Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Hinted Diagram Link Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDiagramLinkStyle

    public java.lang.Object caseDiagramLinkStyle(DiagramLinkStyle object)

  Returns the result of interpreting the object as an instance of 'Diagram Link Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Diagram Link Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseMultiDiagramLinkStyle

    public java.lang.Object caseMultiDiagramLinkStyle(MultiDiagramLinkStyle object)

  Returns the result of interpreting the object as an instance of 'Multi Diagram Link Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Multi Diagram Link Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseTextStyle

    public java.lang.Object caseTextStyle(TextStyle object)

  Returns the result of interpreting the object as an instance of 'Text Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Text Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLineTypeStyle

    public java.lang.Object caseLineTypeStyle(LineTypeStyle object)

  Returns the result of interpreting the object as an instance of 'Line Type Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Line Type Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseArrowStyle

    public java.lang.Object caseArrowStyle(ArrowStyle object)

  Returns the result of interpreting the object as an instance of 'Arrow Style'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Arrow Style'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseShape

    public java.lang.Object caseShape(Shape object)

  Returns the result of interpreting the object as an instance of 'Shape'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Shape'.
  Since:
    1.2
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCompartment

    public java.lang.Object caseCompartment(Compartment object)

  Returns the result of interpreting the object as an instance of 'Compartment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Compartment'.
  Since:
    1.2
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseListCompartment

    public java.lang.Object caseListCompartment(ListCompartment object)

  Returns the result of interpreting the object as an instance of 'List Compartment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'List Compartment'.
  Since:
    1.2
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseConnector

    public java.lang.Object caseConnector(Connector object)

  Returns the result of interpreting the object as an instance of 'Connector'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Connector'.
  Since:
    1.2
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseStandardDiagram

    public java.lang.Object caseStandardDiagram(StandardDiagram object)

  Returns the result of interpreting the object as an instance of 'Standard Diagram'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Standard Diagram'.
  Since:
    1.2
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDecorationNode

    public java.lang.Object caseDecorationNode(DecorationNode object)

  Returns the result of interpreting the object as an instance of 'Decoration Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Decoration Node'.
  Since:
    1.2
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBasicDecorationNode

    public java.lang.Object caseBasicDecorationNode(BasicDecorationNode object)

  Returns the result of interpreting the object as an instance of 'Basic Decoration Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Basic Decoration Node'.
  Since:
    1.2
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBasicCompartment

    public java.lang.Object caseBasicCompartment(BasicCompartment object)

  Returns the result of interpreting the object as an instance of 'Basic Compartment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Basic Compartment'.
  Since:
    1.2
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBasicSemanticCompartment

    public java.lang.Object caseBasicSemanticCompartment(BasicSemanticCompartment object)

  Returns the result of interpreting the object as an instance of 'Basic Semantic Compartment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Basic Semantic Compartment'.
  Since:
    1.2
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseSemanticListCompartment

    public java.lang.Object caseSemanticListCompartment(SemanticListCompartment object)

  Returns the result of interpreting the object as an instance of 'Semantic List Compartment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Semantic List Compartment'.
  Since:
    1.2
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseEModelElement

    public java.lang.Object caseEModelElement(org.eclipse.emf.ecore.EModelElement object)

  Returns the result of interpreting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.